#ifndef _KOTO_TASK_EDITOR_DIALOG
#define _KOTO_TASK_EDITOR_DIALOG

#include <gtk/gtkdialog.h>
#include <libecal/e-cal.h>
#include "koto-task.h"

G_BEGIN_DECLS

#define KOTO_TYPE_TASK_EDITOR_DIALOG koto_task_editor_dialog_get_type()

#define KOTO_TASK_EDITOR_DIALOG(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_TASK_EDITOR_DIALOG, KotoTaskEditorDialog))

#define KOTO_TASK_EDITOR_DIALOG_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_TASK_EDITOR_DIALOG, KotoTaskEditorDialogClass))

#define KOTO_IS_TASK_EDITOR_DIALOG(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_TASK_EDITOR_DIALOG))

#define KOTO_IS_TASK_EDITOR_DIALOG_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_TASK_EDITOR_DIALOG))

#define KOTO_TASK_EDITOR_DIALOG_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_TASK_EDITOR_DIALOG, KotoTaskEditorDialogClass))

typedef struct {
  GtkDialog parent;
} KotoTaskEditorDialog;

typedef struct {
  GtkDialogClass parent_class;
} KotoTaskEditorDialogClass;

enum {
  KOTO_TASK_EDITOR_DIALOG_RESPONSE_CLOSE = GTK_RESPONSE_CLOSE,
  KOTO_TASK_EDITOR_DIALOG_RESPONSE_DELETE = 0
};

GType koto_task_editor_dialog_get_type (void);

GtkWidget * koto_task_editor_dialog_new (void);

gboolean koto_task_editor_dialog_is_dirty (KotoTaskEditorDialog *dialog);

void koto_task_editor_dialog_set_task (KotoTaskEditorDialog *dialog, KotoTask *task);

void koto_task_editor_dialog_run (KotoTaskEditorDialog *dialog, ECal *cal);

G_END_DECLS

#endif /* _KOTO_TASK_EDITOR_DIALOG */
